<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.16 Update #1                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Core
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */

/**
 * function Theme
 * A function to change the theme
 * @author Philipp Louis Esselbach
 */
function Theme( $id )
{
	global $database, $security, $preferences;

	if( ( $id ) and( $preferences[ 'website_theme_override' ] ) )
	{
		$query = $database -> dbquery( "SELECT templateset_name FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE templateset_id = '" . $id . "'" );

		if( $database -> dbrows( $query ) )
		{
			setcookie( $preferences[ 'website_uwrapper_cookieprefix' ] . "esselbachctt", $id, mktime()+31536000, $preferences[ 'website_uwrapper_cookiepath' ], $preferences[ 'website_uwrapper_cookiedomain' ] ) ;
		}
		else
		{
			setcookie( $preferences[ 'website_uwrapper_cookieprefix' ] . "esselbachctt", 0, mktime()+31536000, $preferences[ 'website_uwrapper_cookiepath' ], $preferences[ 'website_uwrapper_cookiedomain' ] ) ;
		}
	}
	else
	{
		setcookie( $preferences[ 'website_uwrapper_cookieprefix' ] . "esselbachctt", 0, mktime()+31536000, $preferences[ 'website_uwrapper_cookiepath' ], $preferences[ 'website_uwrapper_cookiedomain' ] ) ;
	}

	$query = ( isset( $_GET[ 'query' ] ) ) ? $security -> checkvar( $_GET[ 'query' ] ) : "" ;

	if( preg_match( "/" . $_SERVER[ 'SERVER_NAME' ] . "/i", $query ) )
	{
		header( "location: http://" . urldecode( $query ) );
	}
	else
	{
		header( "location: " . $preferences[ 'website_url' ] );
	}

	exit;
}
?>